html {
    height: 100vh;
}

/* Allgemeine Stile */
body {
    font-family: 'Roboto', Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #eef2f5;
    color: #333;
    text-align: center;
    height: 100%;
}

.headLine {
    background-color: #3b8c64;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    background-color: #4caf50;
    color: white;
}

.headLine img {
    object-fit: scale-down;
}

h1 {
    color: white;
    padding: 20px 10px;
    margin: 0;
    font-size: 2.5em;
    text-align: center;
}

h2 {
    margin: 20px 0;
    color: #444;
    font-size: 1.8em;
}

.header-image {
    width: 50px;
    margin-top: 10px;
}

.header-image:hover{
    border: rgb(255, 255, 255) solid 1px;
    border-radius: 10px;
    cursor: pointer;
}

main {
    padding: 20px;
}

/* Styling der Produktcontainer */
.product-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.drink {
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

.drink:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.drink img {
    width: 100%;
    height: auto;
}

.drink p {
    margin: 15px;
    font-size: 1.2em;
    color: #555;
    font-weight: bold;
}

.drink {
    display: flex;
    flex-direction: column; /* Elemente werden vertikal angeordnet */
    justify-content: space-between; /* Platz zwischen den Elementen */
    height: 100%; /* Container nimmt die gesamte verfügbare Höhe ein */
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.drink:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.drink img {
    width: 100%;
    height: auto;
}

.drink p {
    margin: 10px;
    font-size: 1.2em;
    color: #555;
}

.drink .number {
    margin-top: auto; /* Schiebt die Anzahl nach unten */
    padding: 10px;
    font-weight: bold;
    color: #333;
    background-color: #f9f9f9; /* Optional: Hintergrundfarbe für besseren Kontrast */
}


@media (max-width: 768px) {
    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.5em;
    }
}


.footer {
    background-color: #3b8c64;
    color: white;
    padding: 10px;
    margin-top: 20px;
    font-size: 1em;
    text-align: center;

}